#ifndef DISPLAYPROXYMAX7456_H
#define DISPLAYPROXYMAX7456_H

#include "DisplayProxy.h"
#include "max7456.h"

class DisplayProxyMAX7456 : public DisplayProxy
{
public:
    explicit DisplayProxyMAX7456(Max7456 *osd);

    bool write(int x, int y, const char *text) override;
    bool clear() override;
    bool setOffset(int x, int y) override;
    bool externalVideo(bool enabled);
    bool onScreenDisplay(bool enabled);

private:
    Max7456 *osd;
};

#endif